2020-01-25 14:59 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002238FSSCPFS2NetDpublic2019-11-22 16:40
ReporterHunter 
Assigned Totaylor 
PrioritynormalSeverityblockReproducibilityunable to reproduce
StatusclosedResolutionwon't fix 
Product Version3.6.12 RC3 
Target VersionFixed in Version 
Summary0002238: Server reports account is already active, stats tossed
Descriptionas you can see my account hunter is always stuck on the fs2net page as if im online 24/7... and when im playing it displays two hunters.... it prevents me from saving.
Additional InformationI have changed my ip several times.
Other account names with other player names produce the same results.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012131

Hunter (reporter)

I can only assume the other players on the list may have the same issue.

~0012133

taylor (administrator)

I have absolutely no idea why that happened. It shows you as having logged off but the database didn't get updated for some reason, and then it wouldn't let you log back in properly because of the old entry. I manually removed that extraneous user from the database, so see if it will work fine for you now.

I'll have to dig through the code to try and reproduce the problem so that it doesn't happen again. Looks like it is a problem that has been going on for a while though. I believe that it is related to some database weirdness on the server but I should be able to fix the code to deal with it better.

I will see about getting some fixes put on before tomorrow.

~0012134

Hunter (reporter)

Last edited: 2010-06-26 01:21

Wouldn't an inactive player auto-kick work? Thank you for the kick, lol. I'll test it and report back. Thank you for your promptness Taylor!!! :)

~0012136

Hunter (reporter)

Also, slightly different issue, When playing on two different accounts on the same connection, it still reports that I have two of the same account in there and cannot save.

~0012137

taylor (administrator)

It wouldn't auto-kick because the tracker has you logged out and sees no issues. The database still holds a stale record of the log in though and that's where the problem is coming from. Going over the logs this appears to be caused by issues with the database server, where it restarts or has too many connections or something, and the tracker doesn't get the opportunity to clean up after itself.

Regarding the other issue, it tracks connections by IP, so it would see different accounts as still coming from the same person and not save stats as part of basic cheat protection. You should be able to log in fine with the same account multiple times, so long as at least the port number is different between each connection, however it still won't save stats due to anti-cheat if you are in the same game. If you run a standalone or something and try to connect to it to play then you need to use both a different account and a different IP in order to make sure that you don't trigger any anti-cheat measures that get your stats tossed.

~0012138

taylor (administrator)

Ok, new build is now active on the server so see if it works better now. It includes a lot of changes from what was running before so please let me know of any problems.

It's also possible to get a temp-ban from the tracker now if you do anything weird. This is mainly to deal with certain client side issues and some cheating stuff. If you do get banned for some reason, and it gives a failed login message, then just try again later as the temp-ban is only for a maximum of 30 minutes. I might have to tweak the temp-ban code later if it turns out to be overzealous.

~0012142

Hunter (reporter)

Last edited: 2010-06-26 14:47

i am unable to login...... "(possibly a timeout error)"

other player (Cobra) attempted to login aswell with no results.

~0012143

taylor (administrator)

See if it works now. Not sure what was going on there but a restart seems to have fixed it. I'll be monitoring it for the rest of the day in case it messes up again, but still let me know if you have a problem in case I miss it in the logs.

~0012173

Hunter (reporter)

Last edited: 2010-07-03 03:08

It is now reporting two accounts being active when in fact 1 is....... this "cheat prevention" as you call it is proving to be more of a menace then of any use. i haven't a game work properly in weeks. Everytime i get a game going it never validates when I save.......

~0012175

taylor (administrator)

The cheat protection code has been in place for nearly a year, so there is nothing new in that. That part of the code doesn't appear to be the problem though, going over the logs.

The server failed to get a response from your client until it eventually timed out and closed that session. But just before that happened the client side started communicating again and tried to log back in, which counted as a double session. So the problem appears to be on your side (a client side code issue that is).

If you still have the multi.log from when it messed up then please attach it so that I can take a look. If you don't still have it then try and get one the next time it happens. I'm going to try and tweak the server connect code to attempt to deal with that situation by itself, but I still need to find out what on the client side is messing up so that it can be properly fixed.

~0012177

Hunter (reporter)

Last edited: 2010-07-03 18:11

Multi.log must autoclear or something, as it only has my last login attempt from today logged..... Next time I have an issue I'll collect all the logs. Can't it track using a different way to identify the computer? that way people can lan party etc? The packets are addressed to my computer somehow.

~0012178

taylor (administrator)

Yes, the multi.log clears every time you start the game (whether you actually play multi or not).

It tracks connections with a combination of IP address and port number. Multiple connections are possible from the same IP so long as the port number is different between them.

It is done this way because the real problem is keeping track of the different available connections for playing games, not for keeping track of who is connected to the FS2NetD server. Your login to the FS2NetD server is done in two parts, one (the connection itself) is just for FS2NetD, the other (information in the client login packet) is for game tracking purposes. FS2NetD itself can keep track of multiple connections for the same IP address but if you actually intend to play a game then the client/host/standalone needs to be able to tell different people apart, and forcing the use of a different port number on the same IP allows for everything to function properly.

The original FS2OpenPXO code didn't even allow for that much. It would only work with a single connection from each IP, and it did so pretty poorly at that. The newer code is far more robust and is able to handle stuff like that much better, but it is still far from perfect.

~0012180

Hunter (reporter)

Last edited: 2010-07-07 03:40

FreeSpace Multi Log - Opened Sun, Jul 04, 2010 at 12:04AM
----
----
----


07/04 00:04:30~ psnet_init() detected lan connection
07/04 00:04:30~ psnet_get_ip() reports IP : 0.0.0.0
07/04 00:04:30~ Receive buffer set to 4096
07/04 00:04:30~ Send buffer set to 4096
07/04 00:04:30~ Error on IPX startup 10047
07/04 00:04:30~ Error on IPX startup 10047
07/04 00:04:30~ Found no RAS connections
07/04 00:04:32~ In psnet_use_protocol()
07/04 00:04:32~ Psnet : TCP broadcast
07/04 00:04:32~ Psnet using - NET_TCP
07/04 00:04:32~ NOTICE: Incompatible game tracker IP detected (gt.pxo.net), using default instead (fs2netd.game-warden.com)!
07/04 00:04:32~ NOTICE: Incompatible user tracker IP detected (ut.pxo.net), using default instead (fs2netd.game-warden.com)!
07/04 00:04:32~ NOTICE: Port for game/user trackers not specified, using default instead (12009).
07/04 00:04:32~ NOTICE: Incompatible chat server IP detected (chat.pxo.net), using default instead (fs2netd.game-warden.com)!
07/04 00:04:32~ NOTICE: Incompatible banner URL detected (chat.pxo.net), using default instead (http://fs2netd.game-warden.com/files/banners)!
07/04 00:04:33~ FS2NetD MSG: Login 'hunter' is valid, session ID is 40251!
07/04 00:04:33~ FS2NetD MSG: Got Pilot data
07/04 00:04:33~ FS2NetD sent PING/IDENT
07/04 00:04:33~ FS2NetD PONG: 168 ms
07/04 00:04:39~ PXO : updated channel #Eleh server count to 0
07/04 00:04:43~ multi_level_init()
07/04 00:04:44~ Starting netgame as Host/Server
07/04 00:04:44~ FS2NetD Table Check: 'weapons.tbl' -- Valid!
07/04 00:04:44~ FS2NetD Table Check: 'ships.tbl' -- Valid!
07/04 00:04:46~ FS2NetD Mission Validation: Templar-04.fs2 => Valid!
07/04 00:04:46~ FS2NetD Mission Validation: Templar-03.fs2 => Valid!
.....................
07/04 00:04:48~ FS2NetD Mission Validation: bdhr.fs2 => Valid!
07/04 00:04:48~ FS2NetD sent game server start
07/04 00:04:49~ FS2NetD sent game server update
07/04 00:05:09~ Server accepted Dark Angel (tracker id 64717) as new client
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to psnet_rel_send() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Connect from 74.120.128.150:7808
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:09~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:05:10~ Got IAMHERE!
07/04 00:05:10~ New reliable connection in nw_CheckListenSocket().
07/04 00:05:10~ Accepted TCP connection from Dark Angel
07/04 00:05:12~ Received STATS_ALLTIME

07/04 00:05:53~ FS2NetD sent game server update
07/04 00:06:02~ Deleting player Dark Angel
07/04 00:06:02~ Closing socket 1
07/04 00:06:02~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:02~ FS2NetD sent PING/IDENT
07/04 00:06:03~ FS2NetD PONG: 181 ms
07/04 00:06:20~ Server accepted Wrathleader (tracker id 48908) as new client
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Connect from 75.23.210.41:55543
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:20~ Got IAMHERE!
07/04 00:06:20~ New reliable connection in nw_CheckListenSocket().
07/04 00:06:20~ Accepted TCP connection from Wrathleader
07/04 00:06:23~ Received STATS_ALLTIME

07/04 00:06:34~ Server accepted Dark Angel (tracker id 64717) as new client
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:34~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to psnet_rel_send() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Connect from 74.120.128.150:7808
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/04 00:06:35~ Got IAMHERE!
07/04 00:06:35~ New reliable connection in nw_CheckListenSocket().
07/04 00:06:35~ Accepted TCP connection from Dark Angel
07/04 00:06:37~ Received STATS_ALLTIME

07/04 00:07:32~ FS2NetD sent game server update
07/04 00:07:32~ FS2NetD sent PING/IDENT
07/04 00:07:33~ FS2NetD PONG: 247 ms
07/04 00:08:01~ FS2NetD sent game server update
07/04 00:08:35~ FS2NetD sent game server update
07/04 00:08:39~ FS2NetD sent game server update
07/04 00:09:02~ FS2NetD sent PING/IDENT
07/04 00:09:03~ FS2NetD PONG: 165 ms
07/04 00:09:52~ Starting single mission cet_m04.fs2, with 3 players
07/04 00:09:52~ Server performing pre-briefing data sync
07/04 00:12:11~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:12~ WARNING - Buffer overrun in psnet
07/04 00:12:13~ FS2NetD sent PING/IDENT
07/04 00:12:13~ FS2NetD sent game server update
07/04 00:12:14~ FS2NetD WARNING: Lost connection to server!
07/04 00:12:14~ FS2NetD sent game server disconnect
07/04 00:13:55~ Reliable Socket (1) timed out in nw_WorkReliable().
07/04 00:13:55~ Reliable Socket (2) timed out in nw_WorkReliable().
07/04 00:13:55~ Shutting down rel socket because of disconnect!
07/04 00:13:55~ Deleting player Wrathleader
07/04 00:13:55~ Closing socket 1
07/04 00:13:55~ Player timed out while connecting on reliable socket!
07/04 00:13:55~ Shutting down rel socket because of disconnect!
07/04 00:13:55~ Deleting player Dark Angel
07/04 00:13:55~ Closing socket 2
07/04 00:13:55~ Player timed out while connecting on reliable socket!

~0012181

Hunter (reporter)

this is one of the many symptoms ive been having... it hiccups here and will not finish loading, mean while my account gets stuck and i can no longer validate........ and then it works when i cant validate.

~0012187

taylor (administrator)

Heh, I'm honestly a bit stumped about the client side problem. There is definitely something wrong there but it really doesn't look FS2NetD specific. It appears to just stop processing all network traffic for a while and then gets screwy afterwords. I'm assuming that this is happening during mission load, so I'm going to search through the code and see if I can find something of interest.

I did notice one minor issue with the FS2NetD code however, since it triggers a connection timeout earlier than it is supposed to. Fixing that would certainly help a bit but it wouldn't address the main problem, which I don't yet know.

I'm still trying to work out the server-side code to deal with this but it won't be ready for another day or two. I will see about getting you a test build with the timeout fix in it though and we can find out if that makes a noticeable difference for you.

~0012190

Hunter (reporter)

Last edited: 2010-07-05 01:52

I had another error last night, btw other people have reported this problem to me online, so I know its not just me.

~0012192

Hunter (reporter)

I finally had a smooth 2 games, someone else started a game on one of the standalones. however, yet to have a smooth game on someones own game. I will keep you informed of any other findings.

~0012193

taylor (administrator)

That's certainly interesting then. So it works if you play on a standalone but not if you create/host yourself? If that's the case then it significantly narrows down the search. I'll go with that theory and limit what I'm looking for to just those sections of code which apply to the master-host role specifically.

Also, I'm am doing final testing on a new build for you to try out based on the current 3.6.12 code in SVN (slightly newer than RC3) and the timeout changes to the FS2NetD code. I'll try and get that build put up within the next 12 hours. We'll try it without the server-side changes at first and see how well just the client changes fix things. I'll post a link here when it's ready.

~0012194

taylor (administrator)

Test build: http://icculus.org/~taylor/fso/testing/20100706-win32.7z

Let me know if it helps at all.

~0012195

Hunter (reporter)

Last edited: 2010-07-06 22:56

is it possible to plug retail into fs2netd?

Latest report : I played an empty game no issues, obviously no save because 1 player... I will keep you posted when I get another user in here ;)

~0012196

Hunter (reporter)

Last edited: 2010-07-07 03:39

FreeSpace Multi Log - Opened Tue, Jul 06, 2010 at 09:14PM
----
----
----


07/06 21:14:17~ psnet_init() detected lan connection
07/06 21:14:17~ psnet_get_ip() reports IP : 0.0.0.0
07/06 21:14:17~ Receive buffer set to 4096
07/06 21:14:17~ Send buffer set to 4096
07/06 21:14:17~ Error on IPX startup 10047
07/06 21:14:17~ Error on IPX startup 10047
07/06 21:14:17~ Found no RAS connections
07/06 21:14:38~ In psnet_use_protocol()
07/06 21:14:38~ Psnet : TCP broadcast
07/06 21:14:38~ Psnet using - NET_TCP
07/06 21:14:39~ NOTICE: Incompatible game tracker IP detected (gt.pxo.net), using default instead (fs2netd.game-warden.com)!
07/06 21:14:39~ NOTICE: Incompatible user tracker IP detected (ut.pxo.net), using default instead (fs2netd.game-warden.com)!
07/06 21:14:39~ NOTICE: Port for game/user trackers not specified, using default instead (12009).
07/06 21:14:39~ NOTICE: Incompatible chat server IP detected (chat.pxo.net), using default instead (fs2netd.game-warden.com)!
07/06 21:14:39~ NOTICE: Incompatible banner URL detected (chat.pxo.net), using default instead (http://fs2netd.game-warden.com/files/banners)!
07/06 21:14:39~ FS2NetD MSG: Login 'hunter' is valid, session ID is 53209!
07/06 21:14:40~ FS2NetD MSG: Got Pilot data
07/06 21:14:40~ FS2NetD sent IDENT check
07/06 21:14:45~ PXO : updated channel #Eleh server count to 2
07/06 21:14:48~ multi_level_init()
07/06 21:14:54~ Starting netgame as Host/Server
07/06 21:15:06~ multi_level_init()
07/06 21:15:12~ PXO : updated channel #Eleh server count to 2
07/06 21:15:51~ multi_level_init()
07/06 21:15:52~ Starting netgame as Host/Server
07/06 21:15:52~ FS2NetD Table Check: 'weapons.tbl' -- Valid!
07/06 21:15:52~ FS2NetD Table Check: 'ships.tbl' -- Valid!
07/06 21:15:55~ FS2NetD Mission Validation: Templar-04.fs2 => Valid!
07/06 21:15:55~ FS2NetD Mission Validation: Templar-03.fs2 => Valid!
07/06 21:15:55~ FS2NetD Mission Validation: Templar-02.fs2 => Valid!
......
07/06 21:15:57~ FS2NetD Mission Validation: bdhr.fs2 => Valid!
07/06 21:15:57~ FS2NetD sent game server start
07/06 21:15:58~ FS2NetD sent game server update
07/06 21:15:59~ FS2NetD sent game server update
07/06 21:16:39~ FS2NetD sent game server update
07/06 21:17:39~ FS2NetD sent IDENT check
07/06 21:18:39~ FS2NetD sent game server update
07/06 21:20:39~ FS2NetD sent IDENT check
07/06 21:20:39~ FS2NetD sent game server update
07/06 21:22:39~ FS2NetD sent game server update
07/06 21:23:39~ FS2NetD sent IDENT check
07/06 21:23:42~ Server accepted Snipester89 (tracker id 37682) as new client
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Connect from 69.179.22.249:58560
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:23:42~ Got IAMHERE!
07/06 21:23:42~ New reliable connection in nw_CheckListenSocket().
07/06 21:23:42~ Accepted TCP connection from Snipester89
07/06 21:23:45~ Received STATS_ALLTIME

07/06 21:23:58~ Starting single mission M-01b.fs2, with 2 players
07/06 21:23:58~ Server performing pre-briefing data sync
07/06 21:24:39~ FS2NetD sent game server update
07/06 21:25:41~ Performing post-briefing data sync
07/06 21:26:39~ FS2NetD sent IDENT check
07/06 21:26:39~ FS2NetD sent game server update
07/06 21:28:39~ FS2NetD sent game server update
07/06 21:29:39~ FS2NetD sent IDENT check
07/06 21:30:39~ FS2NetD sent game server update
07/06 21:31:26~ Deleting player Snipester89
07/06 21:31:26~ Closing socket 1
07/06 21:31:26~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:31:26~ FS2NetD sent game server disconnect
07/06 21:31:26~ Received reliable data from unconnected client.
07/06 21:31:26~ Received from 69.179.22.249:49380

07/06 21:31:26~ multi_level_init()
07/06 21:31:27~ Starting netgame as Host/Server
07/06 21:31:29~ FS2NetD Mission Validation: Templar-04.fs2 => Valid!
07/06 21:31:29~ FS2NetD Mission Validation: Templar-03.fs2 => Valid!
07/06 21:31:29~ FS2NetD Mission Validation: Templar-02.fs2 => Valid!
07/06 21:31:29~ FS2NetD Mission Validation: Templar-01.fs2 => Valid!
...............
07/06 21:31:31~ FS2NetD Mission Validation: bdhr.fs2 => Valid!
07/06 21:31:31~ FS2NetD sent game server start
07/06 21:31:32~ FS2NetD sent game server update
07/06 21:31:33~ FS2NetD sent game server update
07/06 21:31:34~ FS2NetD sent game server update
07/06 21:32:39~ FS2NetD sent IDENT check
07/06 21:33:31~ Server accepted Snipester89 (tracker id 36139) as new client
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Connect from 69.179.22.249:58560
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:33:31~ Got IAMHERE!
07/06 21:33:31~ New reliable connection in nw_CheckListenSocket().
07/06 21:33:31~ Accepted TCP connection from Snipester89
07/06 21:33:33~ Received STATS_ALLTIME

07/06 21:33:34~ FS2NetD sent game server update
07/06 21:33:43~ Starting single mission M-01b.fs2, with 2 players
07/06 21:33:43~ Server performing pre-briefing data sync
07/06 21:35:34~ FS2NetD sent game server update
07/06 21:35:39~ FS2NetD sent IDENT check
07/06 21:36:17~ Performing post-briefing data sync
07/06 21:37:34~ FS2NetD sent game server update
07/06 21:38:39~ FS2NetD sent IDENT check
07/06 21:39:34~ FS2NetD sent game server update
07/06 21:41:34~ FS2NetD sent game server update
07/06 21:41:39~ FS2NetD sent IDENT check
07/06 21:41:50~ Deleting player Snipester89
07/06 21:41:50~ Closing socket 1
07/06 21:41:50~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:41:50~ FS2NetD sent game server disconnect
07/06 21:41:50~ multi_level_init()
07/06 21:41:51~ Starting netgame as Host/Server
07/06 21:41:52~ FS2NetD Mission Validation: Templar-04.fs2 => Valid!
07/06 21:41:52~ FS2NetD Mission Validation: Templar-03.fs2 => Valid!
...................
07/06 21:41:54~ FS2NetD Mission Validation: CapMis-M02.fs2 => Valid!
07/06 21:41:54~ FS2NetD Mission Validation: CapMis-M01.fs2 => Valid!
07/06 21:41:54~ FS2NetD Mission Validation: bdhr.fs2 => Valid!
07/06 21:41:54~ FS2NetD sent game server start
07/06 21:41:55~ FS2NetD sent game server update
07/06 21:41:58~ FS2NetD sent game server update
07/06 21:42:01~ Server accepted Snipester89 (tracker id 36139) as new client
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Connect from 69.179.22.249:58560
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:01~ Got IAMHERE!
07/06 21:42:01~ New reliable connection in nw_CheckListenSocket().
07/06 21:42:01~ Accepted TCP connection from Snipester89
07/06 21:42:03~ Received STATS_ALLTIME

07/06 21:42:46~ Server accepted Hippaforalkus (tracker id 49010) as new client
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Connect from 65.34.56.17:53996
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Invalid socket id passed to nw_NewReceiveReliable() -- -1
07/06 21:42:46~ Got IAMHERE!
07/06 21:42:46~ New reliable connection in nw_CheckListenSocket().
07/06 21:42:46~ Accepted TCP connection from Hippaforalkus
07/06 21:42:48~ Received STATS_ALLTIME

07/06 21:43:30~ FS2NetD sent game server update
07/06 21:43:33~ Starting single mission M-01b.fs2, with 3 players
07/06 21:43:33~ Server performing pre-briefing data sync
07/06 21:44:39~ FS2NetD sent IDENT check
07/06 21:45:29~ FS2NetD sent game server update
07/06 21:47:29~ FS2NetD sent game server update
07/06 21:47:39~ FS2NetD sent IDENT check
07/06 21:49:13~ Performing post-briefing data sync
07/06 21:49:29~ FS2NetD sent game server update
07/06 21:50:33~ Entering mission M-01b.fs2
07/06 21:52:20~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ WARNING - Buffer overrun in psnet
07/06 21:52:21~ FS2NetD sent IDENT check
07/06 21:52:21~ FS2NetD sent game server update
07/06 21:52:51~ Reliable Socket (2) timed out in nw_WorkReliable().
07/06 21:52:51~ Shutting down rel socket because of disconnect!
07/06 21:52:51~ Deleting player Hippaforalkus
07/06 21:52:51~ Closing socket 2
07/06 21:52:51~ Player timed out while connecting on reliable socket!
07/06 21:53:27~ Server received endgame request, proceeding...
07/06 21:53:27~ Before dogfight stats!
07/06 21:53:27~ After dogfight stats!
07/06 21:53:47~ Sending stats to server
07/06 21:53:47~ <stats have been accepted>
07/06 21:53:47~ <PXO stats store process complete>
07/06 21:54:20~ Sending stats to server
07/06 21:54:20~ <stats have been accepted>
07/06 21:54:20~ <PXO stats store process complete>
07/06 21:54:20~ FS2NetD sent game server update
07/06 21:54:22~ Closing socket 1
07/06 21:54:22~ Deleting player Snipester89
07/06 21:54:22~ FS2NetD sent game server disconnect
07/06 21:54:22~ multi_level_init()
07/06 21:54:24~ Starting netgame as Host/Server
07/06 21:54:27~ multi_level_init()
07/06 21:54:35~ selected() in psnet_rel_connect_to_server()
07/06 21:54:35~ received data after select in psnet_rel_connect_to_server()
07/06 21:54:35~ about to check ack_header.type
07/06 21:54:35~ Succesfully connected to server in nw_ConnectToServer().
07/06 21:54:35~ Got ACK for IAMHERE!
07/06 21:54:37~ Starting netgame as Host on Standalone server : 0.0.0.0
07/06 21:54:37~ Received STATS_ALLTIME

07/06 21:54:48~ Received notification of new player Snipester89
07/06 21:54:50~ Received STATS_ALLTIME

07/06 21:54:50~ Received STATS_ALLTIME

~0012197

Hunter (reporter)

my host remained running, but everyone lagged out, the only reason i saved was because one player had not dropped yet... but as soon as i hit launched my computer locked up, almost a minute later it resumed at the begining of the mission, obviously everyone lagged out already.

~0012200

taylor (administrator)

Ok, so the FS2NetD bug appears to be fixed, which means that what's left is the multi bug. I know that there are two different bugs here but the only real interest now is in the launch lock up bug. Do you happen to remember about when that started happening?

~0012206

Hunter (reporter)

I haven't ever gotten that far before. So I will use the build you gave me to attempt to duplicate the error.

~0012236

Hunter (reporter)

Last edited: 2010-07-18 01:05

I end up crashing either during the load, or at the start screen before the game begins, however nothing ever gets logged in the multi.log

~0012292

taylor (administrator)

Give this build a try as soon as you are able and if it still messes up then get me the multi.log. Some of the debug log will get spit out to the multi.log, so it's going to be a bit bigger than usual, but it will help me narrow down where in the code it's messing up.

http://icculus.org/~taylor/fso/testing/0802-multi.7z

~0012293

Hunter (reporter)

alright I'll keep you informed of any occurances.

~0016939

taylor (administrator)

Made obsolete by PXO
+Notes

-Issue History
Date Modified Username Field Change
2010-06-25 17:13 Hunter New Issue
2010-06-25 17:16 Hunter Note Added: 0012131
2010-06-25 20:06 taylor Note Added: 0012133
2010-06-25 20:06 taylor Status new => assigned
2010-06-25 20:06 taylor Assigned To => taylor
2010-06-25 20:06 taylor Category multiplayer => FS2NetD
2010-06-26 01:18 Hunter Note Added: 0012134
2010-06-26 01:19 Hunter Note Edited: 0012134
2010-06-26 01:21 Hunter Note Edited: 0012134
2010-06-26 01:57 Hunter Note Added: 0012136
2010-06-26 07:35 taylor Note Added: 0012137
2010-06-26 09:28 taylor Note Added: 0012138
2010-06-26 14:44 Hunter Note Added: 0012142
2010-06-26 14:44 Hunter Note Edited: 0012142
2010-06-26 14:46 Hunter Note Edited: 0012142
2010-06-26 14:47 Hunter Note Edited: 0012142
2010-06-26 16:03 taylor Note Added: 0012143
2010-07-03 03:08 Hunter Note Added: 0012173
2010-07-03 03:08 Hunter Note Edited: 0012173
2010-07-03 06:15 taylor Note Added: 0012175
2010-07-03 18:02 Hunter Note Added: 0012177
2010-07-03 18:08 Hunter Note Edited: 0012177
2010-07-03 18:10 Hunter Note Edited: 0012177
2010-07-03 18:10 Hunter Note Edited: 0012177
2010-07-03 18:11 Hunter Note Edited: 0012177
2010-07-03 20:58 taylor Note Added: 0012178
2010-07-04 03:19 Hunter Note Added: 0012180
2010-07-04 03:21 Hunter Note Added: 0012181
2010-07-04 19:58 taylor Note Added: 0012187
2010-07-05 01:52 Hunter Note Added: 0012190
2010-07-05 01:52 Hunter Note Edited: 0012190
2010-07-06 03:51 Hunter Note Added: 0012192
2010-07-06 14:31 taylor Note Added: 0012193
2010-07-06 21:16 taylor Note Added: 0012194
2010-07-06 22:38 Hunter Note Added: 0012195
2010-07-06 22:56 Hunter Note Edited: 0012195
2010-07-07 00:55 Hunter Note Added: 0012196
2010-07-07 00:57 Hunter Note Added: 0012197
2010-07-07 03:39 Hunter Note Edited: 0012196
2010-07-07 03:40 Hunter Note Edited: 0012180
2010-07-07 19:24 taylor Note Added: 0012200
2010-07-08 22:47 Hunter Note Added: 0012206
2010-07-18 01:02 Hunter Note Added: 0012236
2010-07-18 01:05 Hunter Note Edited: 0012236
2010-07-18 01:05 Hunter Note Edited: 0012236
2010-08-02 12:41 taylor Note Added: 0012292
2010-08-02 18:39 Hunter Note Added: 0012293
2019-11-22 16:40 taylor Status assigned => closed
2019-11-22 16:40 taylor Resolution open => won't fix
2019-11-22 16:40 taylor Note Added: 0016939
+Issue History